Автор Тема: Adobe Flash Player. Общие вопросы  (Прочитано 56824 раз)

Оффлайн Ironforge

  • Давно тут
  • **
  • Сообщений: 532
    • Email
Re: Adobe Flash Player. Общие вопросы
« Ответ #420 : 06.09.2016 14:31:56 »
Adobe возобновляет выпуск NPAPI-плагина с Flash Player для Linux

Цитировать
Спустя четыре года с момента прекращения формирования сборок для Linux компания Adobe объявила о возобновлении выпусков плагина Flash Player в формате NPAPI. Для загрузки уже подготовлен бета-выпуск Flash Player 23, который доступен в форматах NPAPI и PPAPI. В качестве причины возобновления выпусков для Linux называется желание повысить безопасность и предоставить возможность продолжить работу с Flash после запланированного на 2017 год прекращения поддержки ветки 11.2.

В будущем плагины NPAPI и PPAPI планируется выпускать синхронно. Так как решение выпускать новые версии плагина с NPAPI было сделано из соображений безопасности, не планируется реализовывать средства ускорения 3D и воспроизведения защищённого видео-контента (DRM). Тем кому необходимы данные функции рекомендовано использовать плагин PPAPI.

https://www.opennet.ru/opennews/art.shtml?num=45084

Оффлайн squire

  • Давно тут
  • **
  • Сообщений: 1 601
Re: Adobe Flash Player. Общие вопросы
« Ответ #421 : 28.09.2016 15:49:14 »
SysV-TDE >p8 64.bit
После вчерашнего обновления
adobe-flash-player-ppapi - Adobe Flash Player
* Mon Sep 26 2016 Sergey V Turchin <zerg@altlinux> 3:23-alt2
- obsolete update-pepperflash
ppapi-plugin-adobe-flash-23.0.0.162-alt2      Вт 27 сен 2016 15:02:13интернет-плейеры  отказываются воспроизводить видео (см. скриншот).
В системе стоит /usr/lib64/browser-plugins/libfreshwrapper-flashplayer.so , плейер ищет libpepflashpleyer.so.
Предлагает поискать в /usr/lib64/pepper-plugins/.
Сделал линк
ln -s /usr/lib64/browser-plugins/* /usr/lib64/pepper-plugins/Без результата.
Вопрос: куда установился обновленный вчера ppapi-plugin-adobe-flash-23.0.0.162-alt2 ?

Оффлайн squire

  • Давно тут
  • **
  • Сообщений: 1 601
Re: Adobe Flash Player. Общие вопросы
« Ответ #422 : 28.09.2016 15:56:55 »
На HTML5 всё воспроизводится. Но не все сайты его предоставляют.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 8 948
  • UNIX System V init
Re: Adobe Flash Player. Общие вопросы
« Ответ #423 : 28.09.2016 16:37:39 »
Вопрос: куда установился обновленный вчера ppapi-plugin-adobe-flash-23.0.0.162-alt2 ?

$  rpm -qvl ppapi-plugin-adobe-flash
-qvl - запрос-подробно-листинг

$ rpm -qpi freshplayerplugin-0.3.5-alt1.x86_64.rpm | tail -n5
Description :
The main goal of this project is to get PPAPI (Pepper) Flash player
working in Firefox. This wrapper implements some kind of adapter which
will look like browser to PPAPI plugin and look like NPAPI plugin for
browser.
$ rpm -qpi ppapi-plugin-adobe-flash-23.0.0.162-alt2.x86_64.rpm | tail -n7
Description :
Adobe Flash Player 23.0.0.162 (Macromedia Flash)
Fully Supported: Mozilla 1.0+, Netscape 7.x, Firefox 0.8+
Partially Supported: Opera, Konqueror 3.x

See the distribution license in
  http://www.adobe.com/legal/licenses-terms.html
$ rpm -qpvl freshplayerplugin-0.3.5-alt1.x86_64.rpm
-rw-rw-r--    1 root    root             3894 май  4 18:03 /etc/freshwrapper.conf
-rw-r--r--    1 root    root          1078320 май  4 18:03 /usr/lib64/browser-plugins/libfreshwrapper-flashplayer.so
drwxr-xr-x    2 root    root                0 май  4 18:04 /usr/share/doc/freshplayerplugin-0.3.5
-rw-r--r--    1 root    root               96 май  4 17:34 /usr/share/doc/freshplayerplugin-0.3.5/COPYING
-rw-r--r--    1 root    root             1046 май  4 17:34 /usr/share/doc/freshplayerplugin-0.3.5/LICENSE
-rw-r--r--    1 root    root             5653 май  4 17:34 /usr/share/doc/freshplayerplugin-0.3.5/README.md
$ rpm -qpvl ppapi-plugin-adobe-flash-23.0.0.162-alt2.x86_64.rpm
-rw-r--r--    1 root    root         18781472 сен 26 18:38 /usr/lib64/pepper-plugins/libpepflashplayer.so
-rw-r--r--    1 root    root              276 сен 26 18:38 /usr/share/applications/ppapi-plugin-adobe-flash.desktop

firefox-у, чтобы он мог использовать ppapi-флеш-плагин, нужна прокладка в виде freshplayerplugin
Которая сама подтянет по зависимостям ppapi-plugin-adobe-flash :
$ apt-cache depends freshplayerplugin|head -n3
freshplayerplugin-0.3.5-alt1
  Требует: update-pepperflash
    ppapi-plugin-adobe-flash-3:23.0.0.162-alt2
« Последнее редактирование: 28.09.2016 17:27:13 от Speccyfighter »
ZX Spectrum 128K
Привет от NM:  # echo -e "\n[device]\nwifi.scan-rand-mac-address=no" >> /etc/NetworkManager/NetworkManager.conf

Оффлайн squire

  • Давно тут
  • **
  • Сообщений: 1 601
Re: Adobe Flash Player. Общие вопросы
« Ответ #424 : 28.09.2016 17:55:23 »
Спасибо.
Всё нашлось. Переустановил плагин
apt-get install --reinstall ppapi-plugin-adobe-flashЗаработало.
Глюк какой-то был.